View Issue Details

IDProjectCategoryLast Update
0020722AI War 2[All Projects] Bug - GameplayNov 2, 2018 10:23 am
ReporterAvenger1649Assigned ToBadgerBadger 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.805 Mercs, Hacks, and, Drones, Oh My 
Fixed in Version0.806 Sabre Company 
Summary0020722: Marauder Outpost Stacks
DescriptionI've noticed that the Marauder Outposts have no limit when placed on friendly planets, if the Marauders are allied either to the player or the AI. While I do enjoy the extra defences, this also means a massive excess of Marauder forces on all friendly worlds, which WILL eventually cause some rather debilitating lag to occur and ruin a campaign playthrough.


The Marauders on neutral worlds (where they reach tech 3 properly) will still stack properly to 10 Outposts and then stop, unless the player or AI builds a planetary Command Station, in which case new Outposts will begin spawning with no apparent cap.

I think this needs to be fixed relatively soon, but other issues can take priority, it sort of ruins a playthrough with players being afraid to take advantage of allied Marauders. It's not a HUGE issue, since Marauders can just be turned off or set to 'enemy to all' mode.
TagsNo tags attached.

Activities

BadgerBadger

Oct 31, 2018 10:54 pm

manager   ~0050407

I've put in a cap of 2 outposts for Marauders on allied planets and 7 on their own planets.

If you can give me a save game where the marauders will spawn outposts without a limit then I would appreciate that.

Avenger1649

Nov 1, 2018 3:12 pm

reporter   ~0050411

I deleted those save games when they got too laggy, sorry about that Badger.

The cap's a little lower than I would've gone for (4 on neutrals and 10 on allied worlds), but this still works too, thanks so much for fixing the issue!

BadgerBadger

Nov 2, 2018 10:22 am

manager   ~0050419

Last edited: Nov 2, 2018 10:23 am

View 2 revisions

It's important that the Marauders have fewer available resources on allied planets (ie your planets for allied marauders) to give the player a choice between using a planet themselves or letting the maruaders have it.

Note that the numbers here for 'allied planet marauder outposts' or 'neutral planet marauder outposts' are in the XML, so feel free to change them to fit your preferred playstyle!

Issue History

Date Modified Username Field Change
Oct 31, 2018 7:54 pm Avenger1649 New Issue
Oct 31, 2018 10:54 pm BadgerBadger Assigned To => BadgerBadger
Oct 31, 2018 10:54 pm BadgerBadger Status new => resolved
Oct 31, 2018 10:54 pm BadgerBadger Resolution open => fixed
Oct 31, 2018 10:54 pm BadgerBadger Fixed in Version => 0.806 Sabre Company
Oct 31, 2018 10:54 pm BadgerBadger Note Added: 0050407
Nov 1, 2018 3:12 pm Avenger1649 Note Added: 0050411
Nov 2, 2018 10:22 am BadgerBadger Note Added: 0050419
Nov 2, 2018 10:23 am BadgerBadger Note Edited: 0050419 View Revisions